Bug 1111449 - Hold active tasks in a map, but cache finished tasks briefly
Summary: Hold active tasks in a map, but cache finished tasks briefly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Performance
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4
Assignee: Sean Flanigan
QA Contact: Zanata-QA Mailling List
URL: https://github.com/zanata/zanata-serv...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-20 04:59 UTC by Ding-Yi Chen
Modified: 2014-07-17 06:39 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-17 06:39:53 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2014-06-20 04:59:30 UTC
This should ensure that handles for active tasks will always be available, and for a while after completion, whilst preventing copytrans handles from accumulating in memory forever.

https://github.com/zanata/zanata-server/pull/507

Comment 1 Ding-Yi Chen 2014-06-24 07:22:51 UTC
Test case:

1. Perform a big copytrans which consumes more than 1 hours (e.g. gcc).
2. After 1 hour, log in as admin
3. Administration page -> Process Manager
4. Test passes if the copytrans task is still there.

Comment 2 Ding-Yi Chen 2014-06-24 08:20:51 UTC
VERIFIED with Zanata 3.4.2-SNAPSHOT (git-server-3.4.1-50-gf1b0828)


Note You need to log in before you can comment on or make changes to this bug.